[SRU] Externally-opened files no longer open in existing window

Bug #1849455 reported by Frank Fuhlbrück on 2019-10-23
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
kate (Ubuntu)
Undecided
Unassigned
Eoan
Medium
Rik Mills

Bug Description

[Impact]

 * Quite disruptive to a users workflow if they depend on kate opening files in a tab in the existing window.
 * The fix is a simple and easily backported patch.

[Test Case]

 * Open one or more files in Kate
 * Trigger kate to open another file externally. For example, a text file opened via the file manager.
 * File should open in a new kate tab in existing window.

[Regression Potential]

 * A simple already upstream applied patch. This was only not applied to the KDE 19.04 git branch, as it has already received its final release.

 * Testers should spend some time testing the other functionality they use to provide evidence that there is no apparent regression. In particular, opening/saving files etc.

***** Original bug text *****

Release: eoan (also disco, if Qt is updated to 5.12 via kubuntu-backports)

See https://bugs.kde.org/show_bug.cgi?id=410742
This bug is already fixed in kate 19.08.x, however eoan still ships 19.04.3.
The fix is relatively simple (see https://cgit.kde.org/kate.git/commit/?id=636af882e3c936411f56069585940901b39628d1).

Dave Rove (daver1730) wrote :

This bug even renders Kate's --pid <pid> option dysfunctional, so there seems to be no end-user workaround for this problem. Since the KDE devs in the linked bug report above declined to do a "re-spin" and did indeed "ship Kate like this", I'd be hugely grateful if the (K)Ubuntu devs backported the above linked patch to 19.04. This bug really is unfortunate.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kate (Ubuntu):
status: New → Confirmed
Rik Mills (rikmills) on 2019-10-24
Changed in kate (Ubuntu Eoan):
status: New → Triaged
Rik Mills (rikmills) on 2019-10-24
description: updated
summary: - Externally-opened files no longer open in existing window
+ [SRU] Externally-opened files no longer open in existing window
Rik Mills (rikmills) on 2019-10-24
Changed in kate (Ubuntu Eoan):
status: Triaged → In Progress
importance: Undecided → Medium
assignee: nobody → Rik Mills (rikmills)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kate - 4:19.08.2-1ubuntu1

---------------
kate (4:19.08.2-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu Vcs fields.
    - debian/control: Breaks/Replaces to suit Kubuntu history.

kate (4:19.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.

kate (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump all the KF5 packages to 5.40.0
    - explicitly add gettext, and libkf5service-dev
  * Drop the migration from kate-dbg, no more needed after two Debian stable
    releases.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Update install files.

kate (4:19.04.3-0ubuntu3) focal; urgency=medium

  * Backport upstream patch to fix externally opened files no longer
    opening in existing window. (LP: #1849455)
    - debian/patches: upstream_fix-dbus-session-registration.patch

 -- Rik Mills <email address hidden> Sat, 26 Oct 2019 11:01:01 +0100

Changed in kate (Ubuntu):
status: Confirmed → Fix Released

Hello Frank, or anyone else affected,

Accepted kate into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kate/4:19.04.3-0ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in kate (Ubuntu Eoan):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-eoan
Frank Fuhlbrück (frafl) wrote :

Hello,

I tested version 4:19.04.3-0ubuntu2.1 (specifically https://launchpad.net/ubuntu/+source/kate/4:19.04.3-0ubuntu2.1/+build/18072259/+files/kate_19.04.3-0ubuntu2.1_amd64.deb and the kata5-data and kwrite debs).
This version fixes the bug for me, I did not notice any regressions.

tags: added: verification-done-eoan
removed: verification-needed-eoan
Thomas Tanghus (tanghus) wrote :

4:19.04.3-0ubuntu2.1 also fixed this for me. A big thanks for fixing this!
Only slightly OT: dolphin suffers from the same e.g. situations where other apps offer options like "Open folder containing file". Is this fixed in the same way?

Hello,
4:19.04.3-0ubuntu2.1 fixed the bug for me too.
Thank you !

Rik Mills (rikmills) on 2019-11-18
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kate - 4:19.04.3-0ubuntu2.1

---------------
kate (4:19.04.3-0ubuntu2.1) eoan; urgency=medium

  * Backport upstream patch to fix externally opened files no longer
    opening in existing window. (LP: #1849455)
    - debian/patches: upstream_fix-dbus-session-registration.patch

 -- Rik Mills <email address hidden> Thu, 24 Oct 2019 10:56:24 +0100

Changed in kate (Ubuntu Eoan):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for kate has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers